Bug 9026 - man pages that don't end with newlines
man pages that don't end with newlines
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: man (Show other bugs)
6.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-31 15:30 EST by ben
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-31 15:30:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ben 2000-01-31 15:30:48 EST
Man doesn't handle man pages that don't end with newlines very well it
prints some extra garbage.

This should probably be reported to the maintainer of man but I don't know
who that is right now.

So if you have a man page which ends like:
.BR ppd_free "(3), " ppd_emit "(3)"
When you try to display the man page you get something like:
ppd_emit(3).pl520u+1

However if you put the end of the line in then and make it look like:
.BR ppd_free "(3), " ppd_emit "(3)"\n

Then it works fine.
Comment 1 Bernhard Rosenkraenzer 2000-10-12 09:41:30 EDT
Fixed in 1.5h1-13

Note You need to log in before you can comment on or make changes to this bug.